VDPAU: VdpPictureInfoVP9 Struct Reference

VDPAU

Data Fields
VdpPictureInfoVP9 Struct Reference
Core API » VdpDecoder; Video Decoding object

`#include <vdpau.h>`

## Data Fields
unsigned int | width
unsigned int | height
VdpVideoSurface | lastReference
VdpVideoSurface | goldenReference
VdpVideoSurface | altReference
unsigned char | colorSpace
unsigned short | profile
unsigned short | frameContextIdx
unsigned short | keyFrame
unsigned short | showFrame
unsigned short | errorResilient
unsigned short | frameParallelDecoding
unsigned short | subSamplingX
unsigned short | subSamplingY
unsigned short | intraOnly
unsigned short | allowHighPrecisionMv
unsigned short | refreshEntropyProbs
unsigned char | refFrameSignBias [4]
unsigned char | bitDepthMinus8Luma
unsigned char | bitDepthMinus8Chroma
unsigned char | loopFilterLevel
unsigned char | loopFilterSharpness
unsigned char | modeRefLfEnabled
unsigned char | log2TileColumns
unsigned char | log2TileRows
unsigned char | segmentEnabled
unsigned char | segmentMapUpdate
unsigned char | segmentMapTemporalUpdate
unsigned char | segmentFeatureMode
unsigned char | segmentFeatureEnable [8][4]
short | segmentFeatureData [8][4]
unsigned char | mbSegmentTreeProbs [7]
unsigned char | segmentPredProbs [3]
unsigned char | reservedSegment16Bits [2]
int | qpYAc
int | qpYDc
int | qpChDc
int | qpChAc
unsigned int | activeRefIdx [3]
unsigned int | resetFrameContext
unsigned int | mcompFilterType
unsigned int | mbRefLfDelta [4]
unsigned int | mbModeLfDelta [2]
unsigned int | uncompressedHeaderSize
unsigned int | compressedHeaderSize

## Field Documentation

## ◆ activeRefIdx

unsigned int VdpPictureInfoVP9::activeRefIdx[3]

## ◆ allowHighPrecisionMv

unsigned short VdpPictureInfoVP9::allowHighPrecisionMv

## ◆ altReference

VdpVideoSurface VdpPictureInfoVP9::altReference

## ◆ bitDepthMinus8Chroma

unsigned char VdpPictureInfoVP9::bitDepthMinus8Chroma

## ◆ bitDepthMinus8Luma

unsigned char VdpPictureInfoVP9::bitDepthMinus8Luma

## ◆ colorSpace

unsigned char VdpPictureInfoVP9::colorSpace

## ◆ compressedHeaderSize

unsigned int VdpPictureInfoVP9::compressedHeaderSize

## ◆ errorResilient

unsigned short VdpPictureInfoVP9::errorResilient

## ◆ frameContextIdx

unsigned short VdpPictureInfoVP9::frameContextIdx

## ◆ frameParallelDecoding

unsigned short VdpPictureInfoVP9::frameParallelDecoding

## ◆ goldenReference

VdpVideoSurface VdpPictureInfoVP9::goldenReference

## ◆ height

unsigned int VdpPictureInfoVP9::height

## ◆ intraOnly

unsigned short VdpPictureInfoVP9::intraOnly

## ◆ keyFrame

unsigned short VdpPictureInfoVP9::keyFrame

## ◆ lastReference

VdpVideoSurface VdpPictureInfoVP9::lastReference

## ◆ log2TileColumns

unsigned char VdpPictureInfoVP9::log2TileColumns

## ◆ log2TileRows

unsigned char VdpPictureInfoVP9::log2TileRows

## ◆ loopFilterLevel

unsigned char VdpPictureInfoVP9::loopFilterLevel

## ◆ loopFilterSharpness

unsigned char VdpPictureInfoVP9::loopFilterSharpness

## ◆ mbModeLfDelta

unsigned int VdpPictureInfoVP9::mbModeLfDelta[2]

## ◆ mbRefLfDelta

unsigned int VdpPictureInfoVP9::mbRefLfDelta[4]

## ◆ mbSegmentTreeProbs

unsigned char VdpPictureInfoVP9::mbSegmentTreeProbs[7]

## ◆ mcompFilterType

unsigned int VdpPictureInfoVP9::mcompFilterType

## ◆ modeRefLfEnabled

unsigned char VdpPictureInfoVP9::modeRefLfEnabled

## ◆ profile

unsigned short VdpPictureInfoVP9::profile

## ◆ qpChAc

int VdpPictureInfoVP9::qpChAc

## ◆ qpChDc

int VdpPictureInfoVP9::qpChDc

## ◆ qpYAc

int VdpPictureInfoVP9::qpYAc

## ◆ qpYDc

int VdpPictureInfoVP9::qpYDc

## ◆ refFrameSignBias

unsigned char VdpPictureInfoVP9::refFrameSignBias[4]

## ◆ refreshEntropyProbs

unsigned short VdpPictureInfoVP9::refreshEntropyProbs

## ◆ reservedSegment16Bits

unsigned char VdpPictureInfoVP9::reservedSegment16Bits[2]

## ◆ resetFrameContext

unsigned int VdpPictureInfoVP9::resetFrameContext

## ◆ segmentEnabled

unsigned char VdpPictureInfoVP9::segmentEnabled

## ◆ segmentFeatureData

short VdpPictureInfoVP9::segmentFeatureData[8][4]

## ◆ segmentFeatureEnable

unsigned char VdpPictureInfoVP9::segmentFeatureEnable[8][4]

## ◆ segmentFeatureMode

unsigned char VdpPictureInfoVP9::segmentFeatureMode

## ◆ segmentMapTemporalUpdate

unsigned char VdpPictureInfoVP9::segmentMapTemporalUpdate

## ◆ segmentMapUpdate

unsigned char VdpPictureInfoVP9::segmentMapUpdate

## ◆ segmentPredProbs

unsigned char VdpPictureInfoVP9::segmentPredProbs[3]

## ◆ showFrame

unsigned short VdpPictureInfoVP9::showFrame

## ◆ subSamplingX

unsigned short VdpPictureInfoVP9::subSamplingX

## ◆ subSamplingY

unsigned short VdpPictureInfoVP9::subSamplingY

## ◆ uncompressedHeaderSize

unsigned int VdpPictureInfoVP9::uncompressedHeaderSize

## ◆ width

unsigned int VdpPictureInfoVP9::width

The documentation for this struct was generated from the following file:

- vdpau/vdpau.h